一、创建ug菜单

1、安装ug110.0版本

2、在Program Files\Siemens\NX 10.0\TKLTOOLS目录下创建“startup”文件夹,在文件夹中创建“模具.men”文件

3、添加代码

VERSION 120
EDIT UG_GATEWAY_MAIN_MENUBAR         //编辑ug的主菜单AFTER UG_HELP                         //在help后面添加CASCADE_BUTTON moju              //定义ID LABEL 模具                        //标签名字(显示的名字)
END_OF_AFTERMENU moju                            //设计ID为moju的子菜单
BUTTON 111                           //定义第一个按钮的ID
LABEL 知识检索                        //标签名字(显示的名字)
BITMAP                               //可以添加图案
ACTIONS webjiansuo                   //需要链接的dll文件名(dll文件为点击该按钮后弹出的对话框)BUTTON 222
LABEL 方案推荐
BITMAP
ACTIONS FangAnTuiJianBUTTON 333
LABEL 人工审核
BITMAP
ACTIONS evaluateEND_OF_MENU

​ 4、添加环境变量

​ [外链图片转存失败,源站可能有防盗链机制,建议将图片保存下来直接上传(img-GmQPZMaB-1657869876988)(C:\Users\123\Desktop\1.png)]

二、设计对话框

1、打开ug,点击:新建–>确定–>启动–>所有应用模具–>块UI样式编辑器。

2、设计对话框的样式,按钮,下拉框,显示的内容等。

3、 设计完成后,点击:代码生成,语言选择c++

4、点击:文件–>保存,选择保存路径,点击:OK。会保存后缀分别为“.dlx”, ".h"和“.cpp”的文件

三、编辑对话框

1、打开visual studo软件,新建项目,选择NX10 NXopen Wizard 点击新建;

2、新建完成后删除存在的cpp文件,将第二步生成的“.h”和“.cpp”添加到新建的项目中。弹出的对话框中语言选择c++;下一步选择

Automatically (ufsta) 和Automatically, when the NX session terminates ;点击完成。

3、在“.h”中引入头文件

#include <Windows.h>#ifdef CreateDialog
#undef CreateDialog
#endif#include <uf.h>
#include <uf_ui.h>
#include <uf_exit.h>
#include <uf_defs.h>
#include <NXOpen/NXException.hxx>
#include <NXOpen/ModelingView.hxx>
#include <NXOpen/ModelingViewCollection.hxx>
#include <NXOpen/Part.hxx>
#include <NXOpen/PartCollection.hxx>
#include <uf_ui.h>
#include <uf_ui_ugopen.h>
#include <uf.h>
#include <NXOpen/Session.hxx>
#include <NXOpen/UI.hxx>
#include <NXOpen/selection.hxx>
#include <NXOpen/Features_Feature.hxx>
#include <NXOpen/ListingWindow.hxx>
#include <uf_obj.h>
#include <uf_attr.h>
#include <uf_cfi.h>
#include <uf_curve.h>
#include <uf_modl_primitives.h>
#include <stdlib.h>
#include <uf_modl.h>#include <uf_defs.h>
#include <uf_ui_types.h>
#include <iostream>
#include <NXOpen/Session.hxx>
#include <NXOpen/UI.hxx>
#include <NXOpen/NXMessageBox.hxx>
#include <NXOpen/Callback.hxx>
#include <NXOpen/NXException.hxx>
#include <NXOpen/BlockStyler_UIBlock.hxx>
#include <NXOpen/BlockStyler_BlockDialog.hxx>
#include <NXOpen/BlockStyler_PropertyList.hxx>
#include <NXOpen/BlockStyler_Enumeration.hxx>
#include <NXOpen/BlockStyler_Group.hxx>
#include <NXOpen/BlockStyler_Button.hxx>#include <uf_defs.h>
#include <NXOpen/NXException.hxx>
#include <NXOpen/Session.hxx>
#include <NXOpen/Assemblies_AssembliesGeneralPropertiesBuilder.hxx>
#include <NXOpen/Assemblies_AssembliesParameterPropertiesBuilder.hxx>
#include <NXOpen/Assemblies_Component.hxx>
#include <NXOpen/Assemblies_ComponentAssembly.hxx>
#include <NXOpen/Assemblies_SelectComponentList.hxx>
#include <NXOpen/AttributeManager.hxx>
#include <NXOpen/AttributePropertiesBaseBuilder.hxx>
#include <NXOpen/AttributePropertiesBuilder.hxx>
#include <NXOpen/BasePart.hxx>
#include <NXOpen/Builder.hxx>
#include <NXOpen/DateBuilder.hxx>
#include <NXOpen/DateItemBuilder.hxx>
#include <NXOpen/DateItemBuilderList.hxx>
#include <NXOpen/Expression.hxx>
#include <NXOpen/MassPropertiesBuilder.hxx>
#include <NXOpen/NXObject.hxx>
#include <NXOpen/ObjectGeneralPropertiesBuilder.hxx>
#include <NXOpen/Part.hxx>
#include <NXOpen/PartCollection.hxx>
#include <NXOpen/PropertiesManager.hxx>
#include <NXOpen/SelectNXObjectList.hxx>
#include <NXOpen/SelectObjectList.hxx>
#include <NXOpen/Session.hxx>
#include <NXOpen/Update.hxx>
#include <NXOpen/NXObjectManager.hxx>

四、在“.cpp"中添加添加属性函数

1、方案评估代码

void messaage()函数 //给对象添加属性

/* Initialize the API environment */if (UF_CALL(UF_initialize())){return;}//获取所选择对象的标签tag_t tagUnderFace = 0;std::vector<TaggedObject*>objects = this->selection0->GetProperties()->GetTaggedObjectVector("SelectedObjects");for (int i = 0; i<objects.size(); i++){tagUnderFace = objects[i]->Tag();}UF_ATTR_value_t value;//分配一个“字符串”属性给对象PropertyList*  enumProps = enum01->GetProperties();//获取零件类型的标签(Type为零件类型的ID)NXString enumValue = enumProps->GetEnumAsString("Value");//获取零件类型的值的标签string a = enumValue.GetLocaleText();//获取该值char c_enum01[150];strcpy(c_enum01, a.c_str());char * p = (char*)a.data();//转成char类型value.type = UF_ATTR_string; //string类型value.value.string = p; //value为零件类型的值UF_CALL(UF_ATTR_assign(tagUnderFace, "注塑模类型", value));//为指定的对象分配属性enumProps = enum02->GetProperties();enumValue = enumProps->GetEnumAsString("Value");a = enumValue.GetLocaleText();char c_enum02[50];strcpy(c_enum02, a.c_str());p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "分型面形式", value));enumProps = enum03->GetProperties();enumValue = enumProps->GetEnumAsString("Value");a = enumValue.GetLocaleText();char c_enum03[50];strcpy(c_enum03, a.c_str());p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "抽芯机构", value));enumProps = enum04->GetProperties();enumValue = enumProps->GetEnumAsString("Value");a = enumValue.GetLocaleText();char c_enum04[50];strcpy(c_enum04, a.c_str());p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "脱模机构", value));enumProps = enum05->GetProperties();enumValue = enumProps->GetEnumAsString("Value");a = enumValue.GetLocaleText();char c_enum05[50];strcpy(c_enum05, a.c_str());p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "复位机构", value));enumProps = enum06->GetProperties();enumValue = enumProps->GetEnumAsString("Value");a = enumValue.GetLocaleText();char c_enum06[50];strcpy(c_enum06, a.c_str());p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "浇口", value));enumProps = enum07->GetProperties();enumValue = enumProps->GetEnumAsString("Value");a = enumValue.GetLocaleText();char c_enum07[50];strcpy(c_enum07, a.c_str());p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "温控方式", value));enumProps = enum08->GetProperties();enumValue = enumProps->GetEnumAsString("Value");a = enumValue.GetLocaleText();char c_enum08[50];strcpy(c_enum08, a.c_str());p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "冷却方式", value));enumProps = enum010->GetProperties();enumValue = enumProps->GetEnumAsString("Value");a = enumValue.GetLocaleText();char c_enum010[50];strcpy(c_enum010, a.c_str());p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "基本体素", value));enumProps = enum011->GetProperties();enumValue = enumProps->GetEnumAsString("Value");a = enumValue.GetLocaleText();char c_enum011[50];strcpy(c_enum011, a.c_str());p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "构件类", value));enumProps = enum012->GetProperties();enumValue = enumProps->GetEnumAsString("Value");a = enumValue.GetLocaleText();char c_enum012[50];strcpy(c_enum012, a.c_str());p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "绘制特征", value));enumProps = enum013->GetProperties();enumValue = enumProps->GetEnumAsString("Value");a = enumValue.GetLocaleText();char c_enum013[50];strcpy(c_enum013, a.c_str());p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "位置特征", value));enumProps = enum018->GetProperties();enumValue = enumProps->GetEnumAsString("Value");a = enumValue.GetLocaleText();char c_enum018[50];strcpy(c_enum018, a.c_str());p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "元截面的比例关系", value));enumProps = enum020->GetProperties();enumValue = enumProps->GetEnumAsString("Value");a = enumValue.GetLocaleText();char c_enum020[50];strcpy(c_enum020, a.c_str());p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "内浇道位置", value));enumProps = enum021->GetProperties();enumValue = enumProps->GetEnumAsString("Value");a = enumValue.GetLocaleText();char c_enum021[50];strcpy(c_enum021, a.c_str());p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "浇注速度和温度", value));//打开mfc设计的对话框WinExec("D:\\Program Files\\Siemens\\NX 10.0\\TKLTOOLS\\application\\MFCApplication1.exe", SW_SHOW);

void evaluate::showDlag()函数 // 显示与隐藏对话框中的不同栏

int enumVale = this->enum0->GetProperties()->GetEnum("Value");if (enumVale == 0){this->group00->GetProperties()->SetLogical("Show", true);   //true为显示this->group10->GetProperties()->SetLogical("Show", true);this->group01->GetProperties()->SetLogical("Show", false);   //false为隐藏this->group02->GetProperties()->SetLogical("Show", false);this->group03->GetProperties()->SetLogical("Show", false);this->group04->GetProperties()->SetLogical("Show", false);this->group05->GetProperties()->SetLogical("Show", false);this->group06->GetProperties()->SetLogical("Show", false);this->group07->GetProperties()->SetLogical("Show", false);this->group08->GetProperties()->SetLogical("Show", false);}else if (enumVale == 1){this->group00->GetProperties()->SetLogical("Show", false);this->group10->GetProperties()->SetLogical("Show", false);this->group01->GetProperties()->SetLogical("Show", true);this->group02->GetProperties()->SetLogical("Show", false);this->group03->GetProperties()->SetLogical("Show", false);this->group04->GetProperties()->SetLogical("Show", false);this->group05->GetProperties()->SetLogical("Show", false);this->group06->GetProperties()->SetLogical("Show", false);this->group07->GetProperties()->SetLogical("Show", false);this->group08->GetProperties()->SetLogical("Show", false);}else if (enumVale == 2){this->group00->GetProperties()->SetLogical("Show", false);this->group10->GetProperties()->SetLogical("Show", false);this->group01->GetProperties()->SetLogical("Show", false);this->group02->GetProperties()->SetLogical("Show", true);this->group03->GetProperties()->SetLogical("Show", false);this->group04->GetProperties()->SetLogical("Show", false);this->group05->GetProperties()->SetLogical("Show", false);this->group06->GetProperties()->SetLogical("Show", false);this->group07->GetProperties()->SetLogical("Show", false);this->group08->GetProperties()->SetLogical("Show", false);}else if (enumVale == 3){this->group00->GetProperties()->SetLogical("Show", false);this->group10->GetProperties()->SetLogical("Show", false);this->group01->GetProperties()->SetLogical("Show", false);this->group02->GetProperties()->SetLogical("Show", false);this->group03->GetProperties()->SetLogical("Show", true);this->group04->GetProperties()->SetLogical("Show", false);this->group05->GetProperties()->SetLogical("Show", false);this->group06->GetProperties()->SetLogical("Show", false);this->group07->GetProperties()->SetLogical("Show", false);this->group08->GetProperties()->SetLogical("Show", false);}else if (enumVale == 4){this->group00->GetProperties()->SetLogical("Show", false);this->group10->GetProperties()->SetLogical("Show", false);this->group01->GetProperties()->SetLogical("Show", false);this->group02->GetProperties()->SetLogical("Show", false);this->group03->GetProperties()->SetLogical("Show", false);this->group04->GetProperties()->SetLogical("Show", true);this->group05->GetProperties()->SetLogical("Show", false);this->group06->GetProperties()->SetLogical("Show", false);this->group07->GetProperties()->SetLogical("Show", false);this->group08->GetProperties()->SetLogical("Show", false);}else if (enumVale == 5){this->group00->GetProperties()->SetLogical("Show", false);this->group10->GetProperties()->SetLogical("Show", false);this->group01->GetProperties()->SetLogical("Show", false);this->group02->GetProperties()->SetLogical("Show", false);this->group03->GetProperties()->SetLogical("Show", false);this->group04->GetProperties()->SetLogical("Show", false);this->group05->GetProperties()->SetLogical("Show", true);this->group06->GetProperties()->SetLogical("Show", false);this->group07->GetProperties()->SetLogical("Show", false);this->group08->GetProperties()->SetLogical("Show", false);}else if (enumVale == 6){this->group00->GetProperties()->SetLogical("Show", false);this->group10->GetProperties()->SetLogical("Show", false);this->group01->GetProperties()->SetLogical("Show", false);this->group02->GetProperties()->SetLogical("Show", false);this->group03->GetProperties()->SetLogical("Show", false);this->group04->GetProperties()->SetLogical("Show", false);this->group05->GetProperties()->SetLogical("Show", false);this->group06->GetProperties()->SetLogical("Show", true);this->group07->GetProperties()->SetLogical("Show", false);this->group08->GetProperties()->SetLogical("Show", false);}else if (enumVale == 7){this->group00->GetProperties()->SetLogical("Show", false);this->group10->GetProperties()->SetLogical("Show", false);this->group01->GetProperties()->SetLogical("Show", false);this->group02->GetProperties()->SetLogical("Show", false);this->group03->GetProperties()->SetLogical("Show", false);this->group04->GetProperties()->SetLogical("Show", false);this->group05->GetProperties()->SetLogical("Show", false);this->group06->GetProperties()->SetLogical("Show", false);this->group07->GetProperties()->SetLogical("Show", true);this->group08->GetProperties()->SetLogical("Show", false);}else if (enumVale == 8){this->group00->GetProperties()->SetLogical("Show", false);this->group10->GetProperties()->SetLogical("Show", false);this->group01->GetProperties()->SetLogical("Show", false);this->group02->GetProperties()->SetLogical("Show", false);this->group03->GetProperties()->SetLogical("Show", false);this->group04->GetProperties()->SetLogical("Show", false);this->group05->GetProperties()->SetLogical("Show", false);this->group06->GetProperties()->SetLogical("Show", false);this->group07->GetProperties()->SetLogical("Show", false);this->group08->GetProperties()->SetLogical("Show", true);}

给零件添加注塑机参数

 if (UF_CALL(UF_initialize())){return 0;}
//寻找对象标签tag_t tagUnderFace = 0;std::vector<TaggedObject*>objects = this->selection0->GetProperties()->GetTaggedObjectVector("SelectedObjects");for (int i = 0; i<objects.size(); i++){tagUnderFace = objects[i]->Tag();}//添加属性UF_ATTR_value_t value;Injection *dialogInjection = new Injection(); //注塑机参数设置对话框dialogInjection->Show();//显示该对话框NXString str = dialogInjection->v_strValue[0];string a = str.GetLocaleText();char str0[150];strcpy(str0, a.c_str());char *p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "螺杆直径(mm)", value));str = dialogInjection->v_strValue[1]; //a = str.GetLocaleText();char str01[150];//strcpy(str01, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "螺杆长径比(L/D)", value));//str = dialogInjection->v_strValue[2]; //a = str.GetLocaleText();char str02[150];//strcpy(str02, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "螺杆压缩比", value));//str = dialogInjection->v_strValue[3]; //a = str.GetLocaleText();char str03[150];//strcpy(str03, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "螺杆行程(cm)", value));//str = dialogInjection->v_strValue[4]; //a = str.GetLocaleText();char str04[150];//strcpy(str04, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "理论注射容积(cm^3)", value));//str = dialogInjection->v_strValue[5]; //a = str.GetLocaleText();char str05[150];//strcpy(str05, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "最大注重量(g)", value));//str = dialogInjection->v_strValue[6]; //a = str.GetLocaleText();char str06[150];//strcpy(str06, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "螺杆最大转速(r/min)", value));//str = dialogInjection->v_strValue[7]; //a = str.GetLocaleText();char str07[150];//strcpy(str07, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "最大塑化能力(kg/h)", value));//str = dialogInjection->v_strValue[8]; //a = str.GetLocaleText();char str08[150];//strcpy(str08, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "注射压力(MPa)", value));//str = dialogInjection->v_strValue[9]; //a = str.GetLocaleText();char str09[150];//strcpy(str09, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "注射速度(g/s)", value));//str = dialogInjection->v_strValue[10]; //a = str.GetLocaleText();char str010[150];//strcpy(str010, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "注射时间(s)", value));//str = dialogInjection->v_strValue[11]; //a = str.GetLocaleText();char str011[150];//strcpy(str011, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "注射座推力及喷嘴推力(kN)", value));//str = dialogInjection->v_strValue[12]; //a = str.GetLocaleText();char str012[150];//strcpy(str012, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "喷嘴行程(cm)", value));//str = dialogInjection->v_strValue[13]; //a = str.GetLocaleText();char str013[150];//strcpy(str013, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "锁模力(ton)", value));//str = dialogInjection->v_strValue[14]; //a = str.GetLocaleText();char str014[150];//strcpy(str014, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "最大容模量(mm)", value));//str = dialogInjection->v_strValue[15]; //a = str.GetLocaleText();char str015[150];//strcpy(str015, a.c_str());//p = (char*)a.data();value.type = UF_ATTR_string;value.value.string = p;UF_CALL(UF_ATTR_assign(tagUnderFace, "开模行程(mm)", value));//delete dialogInjection;delete p;

2、方案推荐代码

对话框设计同第二步

只添加了打开mfc的函数

 #include   "windows.h "                                   //需要该头文件WinExec("D:\\Program Files\\Siemens\\NX 10.0\\TKLTOOLS\\application\\MFCApplication1.exe", SW_SHOW);

3、知识检索与知识索引没有设计对话框,知识添加了打开mfc对话框的函数

#include   "windows.h "                                   //需要该头文件
WinExec("D:\\Program Files\\Siemens\\NX 10.0\\TKLTOOLS\\application\\MFCApplication1.exe", SW_SHOW);

4、mfc对话框只添加了打开网址的控件

五、将设计的对话框添加到ug

1、将所写vs项目,生成为dll文件

2、在Program Files\Siemens\NX 10.0\TKLTOOLS目录下创建”application“文件夹

3、将第二部中生成的dlx文件和vs生成的dll文件保存到该文件夹下

4、在第一步,在每个子菜单对应的按钮中添加dll文件名,例:在ACTIONS后添加文件名

BUTTON 111                        //定义第一个按钮的ID
LABEL 知识检索                        //标签名字(显示的名字)
BITMAP                               //可以添加图案
ACTIONS webjiansuo                   //需要链接的dll文件名(dll文件为点击该按钮后弹出的对话框)

NXOpen UG二次开发相关推荐

  1. NXOPEN/UG二次开发C#---导入igs文件,获得导入的TaggedObject

    /// <summary>/// 导入igs文件,获得导入的TaggedObject/// </summary>/// <param name="igsPath ...

  2. 深度解析UG二次开发装配的部件事件、部件原型和部件实例

    做UG二次开发快一年了,每次遇到装配的问题涉及到部件事件.部件原型和部件实例还是一头雾水,什么是实例,什么是原型这些专业术语等等. 针对这个问题,今天专门写了一篇特辑,结合装配实例深度剖析装配过程中的 ...

  3. NX/UG二次开发创建曲面偏置体

    NX/UG二次开发--创建曲面偏置体 创建曲面偏置体 1.曲面偏置 创建曲面偏置体 这里介绍了一种对模型曲面进行偏置来获得偏置体的方法. 1.曲面偏置 void OffsetFace(tag_t fa ...

  4. 使软件可二次开发_基于C++的?UG二次开发

    C++是C语言的继承,它既可以进行C语言的过程化程序设计,又可以进行以抽象数据类型为特点的基于对象的程序设计,还可以进行以继承和多态为特点的面向对象的程序设计.C++擅长面向对象程序设计的同时,还可以 ...

  5. UG二次开发CreateDialog函数在UI.hxx文件和WinUser.h中的冲突

    文章出自https://blog.csdn.net/qq_41843732/article/details/91422764 在UG二次开发中,若使用MFC库,一旦加上#include<Afx. ...

  6. UG二次开发技术的研究

    摘 要:UG软件是美国EDS公司开发的一套集CAD/CAM/CAE一体的高端软件.UG是一个通用软件,用户必须在此基础上进行二次开发,才能满足专门模具设计的需要,提高设计效率.本文探讨UG二次开发技术 ...

  7. UG 二次开发中文帮助文档,UFun在线帮助文档, NX API 中文帮助文档

    UG 二次开发中文帮助文档,UFun在线帮助文档, NX API 中文帮助文档 在线的中文帮助文档,不用下载,网页直接查询函数: UFun函数中文帮助文档地址:http://www.ugapi.com ...

  8. UG二次开发教程(基于NX12.0/VS2015版本)

    ** UG二次开发教程(基于NX12.0/VS2015版本) 安装教程 ** UG NX12.0安装 NX12.0 安装包下载地址: 链接:https://pan.baidu.com/s/1I0CCF ...

  9. UG二次开发 创建圆弧 UF_CURVE_create_arc

    文章作者:里海 来源网站:https://blog.csdn.net/WangPaiFeiXingYuan 简介: UG二次开发 创建圆弧 UF_CURVE_create_arc 代码: //圆心 d ...

最新文章

  1. 黄聪:C# webBrowser控件禁用alert,confirm之类的弹窗解决方案
  2. python安装包_Python开发环境搭建
  3. Intellij IDEA中maven更新不下来pom中的jar包,reimport失效
  4. Jmeter生成html格式测试报告
  5. MySQL高级知识(十四)——行锁
  6. 2M口,电口,光口的区别
  7. nginx利用try_files实现多个源
  8. JS 动态修改json字符串
  9. 1501_FTA失效树分析简介
  10. 【爬虫】使用八爪鱼爬行百度地图美食店数据
  11. 问题:TypeError: denoise_wavelet() got an unexpected keyword argument ‘method‘
  12. Pytorch扫盲 - 安装、训练、测试、可视化、网络结构、finetune、loss
  13. python协成_python基础26 -----python进程及协成
  14. 为人处世之道,与君共勉!
  15. 虚拟表格(大数据表格)
  16. 使用PYQT5打开电脑摄像头并进行拍照
  17. vue 表格格式化时间:formatter没有效果
  18. 什么叫死区时间_死区时间控制
  19. 使用Ultra Librarian将bxl文件转为OrCAD Capture CIS可识别的库文件(OLB)
  20. C++基础(四) 文件流 I/O流 文件指针 tellg tellp seekp seekg

热门文章

  1. 文字排版需要遵循的规律
  2. W3C DOM 事件模型(简述)
  3. window bat使用
  4. excel 批量增加超链接
  5. mysql 数据库分表三种方法
  6. java面经(2019京东笔试+三面)
  7. 我的安全之路——Web安全篇
  8. javascript数组遍历
  9. 在OLED12864竟然也能玩Chrome 小恐龙跳一跳的游戏?附所有软硬件资料【全开源】
  10. 数据结构精品电子书分享之《数据结构》算法实现及解析